Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Interface ParameterMapper

    public interface ParameterMapper

Implement this interface when parameters need to be customized based on the connection. We might need to do this to make use of proprietary features, available only with a specific Connection type.

Author:
  Rod Johnson, Thomas Risberg
See Also:
  `CallableStatementCreatorFactory.newCallableStatementCreator(ParameterMapper)`, `StoredProcedure.execute(ParameterMapper)`

Method Summary
`Map<String,?>` | `createMap(Connection con)` Create a Map of input parameters, keyed by name.

Method Detail

### createMap

    Map<String,?> createMap(Connection con)
                            throws SQLException

  Create a Map of input parameters, keyed by name.

  Parameters:
    `con` - JDBC connection. This is useful (and the purpose of this interface) if we need to do something RDBMS-specific with a proprietary Connection implementation class. This class conceals such proprietary details. However, it is best to avoid using such proprietary RDBMS features if possible.
  Returns:
    Map of input parameters, keyed by name (never `null`)
  Throws:
    `SQLException` - if a SQLException is encountered setting parameter values (that is, there's no need to catch SQLException)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD